%define lib_major 0
%define libname %mklibname %{name} %{lib_major}
%define libnamedev %mklibname -d %{name}

%define doc_version 2.2.0

Name: gnucash
Summary: Application to keep track of your finances
Version: 2.2.7
Release: %mkrel 1
License: GPLv2+
Group: Office
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: http://prdownloads.sourceforge.net/gnucash/%{name}-%{version}.tar.bz2
Source4: http://prdownloads.sourceforge.net/gnucash/%{name}-docs-%{doc_version}.tar.bz2
# (fc) 2.2.1-3mdv disable unneeded warning at startup (Fedora)
Patch0: gnucash-quiet.patch
Patch2: gnucash-2.2.5-underlinking-file-backend.patch
Patch3: gnucash-2.2.5-underlinking-gnome-utils.patch
URL: http://www.gnucash.org

Requires: guile >= 1.6
Requires: slib
Requires: python >= 2.3
Requires: %{libname} >= %{version}-%{release}
Requires: yelp
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: guile-devel
BuildRequires: goffice0.6-devel >= 0.5
BuildRequires: gtkhtml-3.14-devel
BuildRequires: readline-devel
BuildRequires: libtermcap-devel
BuildRequires: popt-devel
BuildRequires: python-devel >= 2.3
BuildRequires: scrollkeeper >= 0.3.4
BuildRequires: libxslt-proc
BuildRequires: libofx-devel >= 0.7.0
BuildRequires: libaqbanking-devel >= 3
BuildRequires: libktoblzcheck-devel
BuildRequires: postgresql8.3-devel
BuildRequires: gettext-devel
BuildRequires: libffi-devel
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: desktop-file-utils
BuildRequires: slib
#disable requires in private shared libraries
%define _requires_exceptions devel.libgncmod-[^[:space:]].\\|libgnc-app

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package ofx
Summary: Enables OFX importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package sql
Summary: PostgreSQL backend for GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
 
%description sql
This package adds PostgreSQL experimental backend for GnuCash.

%package hbci
Summary: Enables HBCI importing in GnuCash
Group: Office
Requires: gnucash = %{version}-%{release}
# only require the wizard, it will pull aqhbci package too 
Requires: aqbanking-qt3
 
%description hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.


%package -n %{libnamedev}
Group:	Development/C
Summary: Libraries needed to develop for gnucash
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel %mklibname -d %name 0


%description -n %{libnamedev}
Libraries needed to develop for gnucash.

%package -n %{libname}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{libname}
This package provides libraries to use gnucash.


%prep
%setup -q -a 4
%patch0 -p1 -b .quiet
%patch2 -p1 -b .fix-underlinking-file-backend
%patch3 -p1 -b .fix-underlinking-gnome-utils

libtoolize --copy --force
aclocal -I macros
autoconf
automake

%build
%configure2_5x --enable-gui --enable-hbci --enable-ofx --disable-error-on-warning --enable-sql 

cd gnucash-docs-%{doc_version}
%configure --localstatedir=/var/lib
cd ..

make

cd gnucash-docs-%{doc_version}
%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std

cd gnucash-docs-%{doc_version}
%makeinstall_std
cd ..


rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find %buildroot -name \*.la|xargs chmod 644

#don't ship this file
%{find_lang} %{name} --with-gnome --all-name
for omf in $(ls %buildroot%_datadir/omf/%name-docs/*.omf|fgrep -v -- -C.omf);do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done



# Menu entry 
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Finances" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%define schemas apps_gnucash_dialog_business_common apps_gnucash_dialog_commodities apps_gnucash_dialog_common apps_gnucash_dialog_hbci apps_gnucash_dialog_prices apps_gnucash_dialog_print_checks apps_gnucash_dialog_reconcile apps_gnucash_dialog_totd apps_gnucash_general apps_gnucash_history apps_gnucash_import_generic_matcher apps_gnucash_import_qif apps_gnucash_warnings apps_gnucash_window_pages_account_tree apps_gnucash_window_pages_register apps_gnucash_dialog_scheduled_transctions
%if %mdkversion < 200900
%post_install_gconf_schemas %schemas
%{update_menus}
%update_desktop_database
%update_scrollkeeper
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %schemas

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{libnamedev}
if [ "$1" = "1" ]; then 
  %{__install_info} %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%postun -n %{libnamedev}
if [ "$1" = "0" ]; then
  %{__install_info} --delete %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%files -n %{libnamedev}
%defattr(-,root,root)
%{_infodir}/*
%{_bindir}/gnucash-make-guids
%{_libdir}/libgnc-backend-file-utils.so
%_libdir/libgnc-business-ledger.so
%_libdir/libgnc-core-utils.so
%_libdir/libgnc-gnome.so
%_libdir/libgnc-module.so
%_libdir/libgnc-qof.so
%{_includedir}/gnucash

%files -n %{libname}
%defattr(-, root, root)
%_libdir/libgnc-backend-file-utils.so.0*
%_libdir/libgnc-business-ledger.so.0*
%_libdir/libgnc-core-utils.so.0*
%_libdir/libgnc-gnome.so.0*
%_libdir/libgnc-module.so.0*
%_libdir/libgnc-qof.so.1*


%files -f %{name}.lang
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_business_common.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_commodities.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_common.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_hbci.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_prices.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_print_checks.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_reconcile.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_scheduled_transctions.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_dialog_totd.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_general.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_history.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_import_generic_matcher.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_import_qif.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_warnings.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_window_pages_account_tree.schemas
%_sysconfdir/gconf/schemas/apps_gnucash_window_pages_register.schemas
%config(noreplace) %{_sysconfdir}/%{name}		
%{_bindir}/gnucash
%{_bindir}/gnucash-bin
%{_bindir}/gnucash-valgrind
%{_bindir}/gnucash-env
%{_bindir}/gnc-test-env
%{_bindir}/gnc-fq-check
%{_bindir}/gnc-fq-dump
%{_bindir}/gnc-fq-helper
%{_bindir}/gnc-fq-update
%{_bindir}/update-gnucash-gconf
%_datadir/applications/%name.desktop
%_datadir/gnucash/
%dir %{_libdir}/gnucash
%{_libdir}/*.la
%{_libdir}/gnucash/*.la
%{_libdir}/gnucash/*.so*
%{_libdir}/gnucash/overrides
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/accounts
%{_datadir}/%{name}/guile-modules
%{_datadir}/%{name}/glade
%_datadir/icons/hicolor/*/apps/gnucash*
%_datadir/xml/gnucash/
%doc %{_datadir}/%{name}/doc
%{_datadir}/%{name}/scm
%{_mandir}/*/*
%doc AUTHORS COPYING HACKING NEWS README*
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%dir %{_datadir}/omf/%name-docs/
%{_datadir}/omf/%name-docs/gnucash-guide-C.omf
%{_datadir}/omf/%name-docs/gnucash-help-C.omf
%exclude %{_libdir}/gnucash/libgncmod-ofx*
%exclude %{_libdir}/gnucash/libgncmod-aqbanking*
%exclude %{_datadir}/gnucash/glade/aqbanking*
%exclude %{_datadir}/gnucash/ui/gnc-plugin-aqbanking-ui.xml
%exclude %{_datadir}/gnucash/ui/gnc-plugin-ofx-ui.xml

%files ofx
%defattr(-,root,root)
%doc doc/README.OFX
%{_libdir}/gnucash/libgncmod-ofx*
%{_datadir}/gnucash/ui/gnc-plugin-ofx-ui.xml

%files hbci
%defattr(-,root,root)
%doc doc/README.HBCI
%{_libdir}/gnucash/libgncmod-aqbanking*
%{_datadir}/gnucash/glade/aqbanking*
%{_datadir}/gnucash/ui/gnc-plugin-aqbanking-ui.xml

%files sql
%defattr(-,root,root)
%doc src/backend/postgres/README
%{_libdir}/libgnc-backend-postgres.so




%changelog
* Fri Sep 25 2009 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdv2009.0
+ Revision: 448639
- call libtoolize
- new version to fix bug #44913
- fix build deps (bug #45251)

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2009.0
+ Revision: 257782
- new version
- drop patch 1
- update build deps
- fix buildrequires for goffice 0.6

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.5-2mdv2009.0
+ Revision: 214364
- Add patch to fix underlinking in gnome-utils subdir by linking with libX11
- Add patch to fix underlinking in file backend
- Fix license
- Remove libxml-devel: this is the old libxml1 library, which is not used by gnucash. libxml2-devel is already implicitely required by gtkhtml-devel

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update schemas list

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 2.2.4-2mdv2009.0
+ Revision: 196752
- patch for aqbanking 3.x

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2008.1
+ Revision: 180054
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gtkhtml-3.14-devel BuildRequires
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix no-buildroot-tag

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdv2008.1
+ Revision: 147649
- Force rebuild with latest GConf

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2008.1
+ Revision: 147516
- new version
- drop patch
- update file list
- update icon theme in postinstall

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-3mdv2008.1
+ Revision: 136851
- patch to build with goffice 0.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-2mdv2008.1
+ Revision: 132333
- rebuild for new goffice

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 132108
- new version
- build with goffice 0.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-3mdv2008.1
+ Revision: 113756
- Patch0 (Fedora): disable unneeded warning at startup
- Remove old menu file
- Replace dependency on umb-scheme with slib dependency (Fedora)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-2mdv2008.0
+ Revision: 92510
- Fix build

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Mon Aug 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 67902
- new version

* Fri Aug 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.0-2mdv2008.0
+ Revision: 61594
- Remove dependency on g-wrap
- Fix icon name

  + Götz Waschk <waschk@mandriva.org>
    - drop external icons

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.0
+ Revision: 52486
- new version
- update buildrequires
- fix file list
- new devel package name
- drop buildrequires on libunicode, it is dead


* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 2.0.5-1mdv2007.0
+ Revision: 133834
- new version
- fix buildrequires
- *** empty log message ***
- depend on yelp (bug #28547)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-2mdv2007.1
+ Revision: 105229
- rebuild

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-1mdv2007.1
+ Revision: 103507
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 98663
- disable libtoolize

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.0.3

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-2mdv2007.1
+ Revision: 65561
- rebuild
- Import gnucash

* Sat Oct 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
- update source URL
- new version

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- update file list
- New release 2.0.1

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- use shared goffice again
- drop valgrind conflict
- rebuild with new gail

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.0
- fix source URLs
- New release 2.0.0

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-2mdv2007.0
- split out postgres backend
- move .la files to main package
- move all libraries to the lib package
- fix deps

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-1mdv2007.0
- use new macros
- fix menu
- New release 1.9.8

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-1mdv2007.0
- xdg menu
- update file list
- disable valgrind
- don't depend on guile-lib
- new version

* Wed May 17 2006 Gtz Waschk <waschk@mandriva.org> 1.9.6-1mdk
- update file list
- New release 1.9.6

* Thu Apr 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.5-1mdk
- New release 1.9.5

* Sat Apr 08 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdk
- New release 1.9.4

* Thu Apr 06 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-3mdk
- rebuild with rpm-mandriva-setup 1.18 to fix requires

* Sat Apr 01 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-2mdk
- add BuildRequires: libffi-devel db1-devel

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- update file list
- New release 1.9.3

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-2mdk
- use the right configure macro
- rebuild for new aqbanking

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-1mdk
- schemas are no configuration files
- New release 1.9.2

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-2mdk
- depend on guile-lib

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-1mdk
- drop patches
- New release 1.9.1
- use mkrel

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.12-1mdk
- Release 1.8.12
- Regenerate patch0, remove old libtool m4 macros

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.8.11-4mdk
- rebuild for new aqbanking

* Thu Jun 16 2005 Frederic Lepied <flepied@mandriva.com> 1.8.11-3mdk
- rebuild for libpq

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-2mdk 
- Rebuild with new aqhbci (Mdk bug #13985)

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-1mdk 
- Release 1.8.11

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.10-3mdk
- multiarch

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.10-2mdk 
- hbci subpackage now requires aqhbci-wizard-kde (only config wizard available
  now). Fix Mdk bug #12782
- Move info files to devel package (they are devel doc), Mdk bug #12106.
- Enable experimental postgresql support (Mdk bug #12499)

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.10-1mdk
- fix omf file listing
- update the docs
- depend on aqbanking instead of openhbci
- bump ofx dep
- New release 1.8.10

* Sat Aug 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-2mdk
- Rebuild for new gcc

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-1mdk
- New release 1.8.9
- Update docs to 1.8.4

